Payout batches
Retrieve a Payout Batch
Get a payout batch by its id including status and optional metadata
Get a payout batch by its id including status and optional metadata
Authorization
api_key AuthorizationBasic <token>
In: header
Path Parameters
payout_batch_id*string
Id of the payout batch to fetch
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/v2/payout-batches/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58", "status": "created", "metadata": "string"}Create a Payout Batch
Create a batch of payouts to multiple users. Each payout in the batch is processed independently with its own idempotency key. The batch itself can also have an idempotency key to prevent duplicate batch submissions. All payouts in a batch must have `fund=true`.
Retrieve a Payout Batch with detailed results
Get a payout batch by its id. Returns detailed results for each item in the batch, including transfer information for successful payouts and error messages for failed ones.